Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356 - Floor Ceil Problem
Summary: Floor Ceil Problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 4.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: http://www.abcgiant.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-27 01:15 UTC by webmaster
Modified: 2016-11-24 12:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-08 17:22:13 UTC


Attachments (Terms of Use)

Description webmaster 1999-02-27 01:15:04 UTC
The problem was encountered when I was compiling a .c file
that made a reference to the function floor (in math.h).
The error is:

/tmp/cca090901.o(.text+0x2756): undefined reference to
`floor'

I had the same error with ceil yesterday.

Here is a simple program that produces an identical error:

#include <stdio.h>
#include <math.h>

void main() {
printf("%.03f = %ld\n",1.23,(long)ceil(1.23));
}

Comment 1 David Lawrence 1999-03-02 21:35:59 UTC
I have verified this to be a problem on one of the test lab machines.

Comment 2 Cristian Gafton 1999-03-08 17:22:59 UTC
link in the math library (-lm)

Comment 3 openshift-github-bot 2015-03-18 18:26:34 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/a46042a74f959d7ab24d8270c7712193e8638d74
Issue 1356 - setup should either save cert file or data


Note You need to log in before you can comment on or make changes to this bug.